Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86073 - Keyboard input problems on some Toshiba laptops
Summary: Keyboard input problems on some Toshiba laptops
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 16:14 UTC by Toralf
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-22 14:49:58 UTC


Attachments (Terms of Use)

Description Toralf 2003-03-13 16:14:26 UTC
Description of problem:
For some Toshiba laptop moduls, e.g. Satellige Pro 6000 and 6100, the keyboard
input routines often returns the character twice when a key was pressed only once.

Version-Release number of selected component (if applicable):
4.2.0-8

How reproducible:
Every time

Steps to Reproduce:
1. Log in.
2. Type "This is a test of the keyboard" in shell or editor

    
Actual results:
Thiss is a ttest of thhe keybboarrd

Or something of that nature ;-/

Expected results:
This is a test of the keyboard


Additional info:
Will not happen in text console, or when Xkb extension is disabled. XkbDisable
is a nearly acceptable workaround, but:
1. Additional hacks are necessary to set up the keyboard map properly.
2. Change is lost if Xconfigurator is rerun.

Comment 1 Geoff Russell 2003-05-14 23:49:23 UTC
also happens with RedHat 8.0 on Satellite pro 2400

Comment 2 Mike A. Harris 2003-05-21 12:51:48 UTC
This is not an XFree86 bug if I recall correctly, but some hardware
weirdness.  You are best off searching google or asking for help on XFree86
mailing lists, to try and narrow the problem down.  If you can obtain more
information on the problem, and could report back here with it, it'd be much
appreciated.  That way, if my assumption of hardware problem is incorrect,
we'll have more to go on also.

Comment 3 Toralf 2003-05-23 10:24:47 UTC
There are lots of web sites that point out the problem, but information about
what is causing it is harder to find. The following may be helpful, though:

http://sdb.suse.de/sdb/en/html/mmichna_kbd-bounce.html
http://linux.toshiba-dme.co.jp/linux/eng/faq2/xconfig/02475.htm
http://www.rinta-aho.org/portege4000/

The refrences to "bounce" settings also make me wonder if I might adjust these
via "XkbOption" in XF86Config, but I can't find any documentation on that parameter.

I'm also going to post a request for more details on the Toshiba Linux forum.

Comment 4 Toralf 2003-05-28 09:27:13 UTC
"Peter T. Breuer" <ptb@it.uc3m.es> says

The keyboard really does generate spurious key release events. I've
also been told that keydown can be generated as well, but have never
seen it.

Apparently the way at least one layer of the X driver works, release
events are interpreted as keystrokes. One either 

  a) turns off that layer (the XKbDisable thing)
  b) eliminates the spurious release events when they hit the raw
     keyboard mode driver in the kernel (kernel patch)
  c) applies a further filter of some kind to the X keyboard
     driver, using setbounce and.or other utilities.

Peter

Comment 5 Mike A. Harris 2004-09-24 21:53:51 UTC
Toralf, Geoff:  Does this problem occur on any newer Red Hat OS
releases also?  If so, can you test it with Fedora Core 2 perhaps
and provide feedback?  If it's still a problem, hopefully we
can find a solution that doesn't require adding hacks to the
config files.

Setting bug to "NEEDINFO" state.

Comment 6 Mike A. Harris 2004-12-22 14:49:58 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE" (Fedora Core 3 currently)



Note You need to log in before you can comment on or make changes to this bug.